// CFTTAABB32 - [2020-04-13 11:57:46]
#ifndef _CFTTAABB32_H_
#define _CFTTAABB32_H_

#include "CFTTVector32.h"
#include "CFTTSphere32.h"

/*
00187BF8 CFTTAABB32::Expand(CFTTVector32 const&)
00187CA2 CFTTAABB32::Inflate(CFTTVector32 const&)
001A4BEA CFTTAABB32::EvaluateCentreAndHalfDiagonal()
001ABEB0 CFTTAABB32::Intersects(CFTTVector32 const&,CFTTVector32 const&,float &)
001AFD0C CFTTAABB32::Overlaps(CFTTAABB32 const&)
001C838C CFTTAABB32::Expand(CFTTSphere32 const&)
00200234 CFTTAABB32::Contains(CFTTVector32 const&)
002002A0 CFTTAABB32::Overlaps(CFTTSphere32 const&)
00200570 CFTTAABB32::GetDistSqdToPoint(CFTTVector32 const&)
*/

class CFTTAABB32 {
public:
  void Expand(CFTTVector32 const &val);                                 // 00187BF8
  void Inflate(CFTTVector32 const &val);                                // 00187CA2
  void EvaluateCentreAndHalfDiagonal() const;                           // 001A4BEA
  int Intersects(CFTTVector32 const &, CFTTVector32 const &, float *);  // 001ABEB0
  bool Overlaps(CFTTAABB32 const &);                                    // 001AFD0C
  void Expand(CFTTSphere32 const &);                                    // 001C838C
  bool Contains(CFTTVector32 const &) const;                            // 00200234
  bool Overlaps(CFTTSphere32 const &) const;                            // 002002A0
  float GetDistSqdToPoint(CFTTVector32 const &) const;                  // 00200570

public:
  CFTTVector32 filed_0;
  CFTTVector32 filed_c;
  mutable CFTTVector32 filed_18;
  mutable CFTTVector32 filed_24;
  mutable bool filed_30;
};

#endif  //_CFTTAABB32_H_